var qtdeMostrada = -qtdeCarregar;

function carregarDadosMetas() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	if (document.getElementById('tabelarelmetas').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}
	
	$('#divtabelametas').css('display', 'none'); 
	
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('metas/relmetas.php',
		{
			codgerente: $("#filtrogerentemetas").val(),
			codsupervisor: $("#filtrosupervisormetas").val(),
			codvendedor: $("#filtrovendedormetas").val(),
			tipo: $("#filtrotipometa").val(),
			metapor: $("#filtrometapor").val(),
			periodo: $('#periodometa').val(),
			codperiodo: $('#filtroperiodometas').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar
		},
		function(data){
			if ($('#filtroperiodometas').val() == "") {
				alert('Informe o período da meta!');
				$("#voltarrelmetas").click();
			} else if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelmetas').childNodes[3].innerHTML += data;
				$("#tabelarelmetas").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelmetas").click();
			}
		}
	)	
	;
	$('#divtabelametas').css('display', 'block');

	$(document).on('scrollstop', scrollStopMetas);	
}

function scrollStopMetas() {
	checkScroll(carregarDadosMetas, "relmetas"); //checkScroll em dadosJS.js
}

$.mobile.document
	.on('click', '#botaovisualizarmetas', function(){
		qtdeMostrada = -qtdeCarregar;
		carregarDadosMetas();
	})
	
	.on('click', '#voltarrelmetas', function(){
		$("#tabelarelmetas tbody tr").remove();
	})
	
	.on('pageshow', '#relmetas', function() {
		$(document).on('scrollstop', scrollStopMetas);		
	})
	
	.on('pagebeforecreate', '#metas', function() {
		geraLkp($("#filtrogerentemetas"), 'lookups/lkpgerentes.php');
		geraLkp($("#filtrosupervisormetas"), 'lookups/lkpsupervisores.php');
		geraLkp($("#filtrovendedormetas"), 'lookups/lkpvendedores.php');
		geraLkp($("#filtroperiodometas"), 'lookups/lkpperiodos.php');
	})
	
	;